=head1 NAME

qli - Firebird query language interpreter

=head1 SYNOPSIS

B<qli> [I<option>...]

=head1 DESCRIPTION

This manual page documents briefly the B<qli> command.

This manual page was written for the Debian distribution because the original
program does not have a (free) manual page. Instead, it has non-free
documentation you can get from InterBase (Borland) or FireBird project sites;
see at the end of the document.

B<qli> is an interpreter for a query language on Firebird and Interbase
databases.

B<qli> is mainly provided for backwards compatibility for Interbase 4.0 and
3.3 and isn't supported anymore. This manpage has been reconstructed from the
source of the qli tool and is likely to contain mistakes. If you find any,
please report them as bugs.

=head1 OPTIONS

=over

=item B<-a> I<application_file>

Set the I<application_file>.

=item B<-b> I<buffers>

Sets buffers to I<buffers>.

=item B<-i> I<startup_file>

Set the I<startup_file>.

=item B<-n>

Turn off the banner flag.

=item B<-u> I<username>

=item B<-p> I<password>

Set the user and the password for connecting to the database.

=item B<-t>

Turn on sw_trace.

=item B<-v>

Turn on verifying.

=item B<-x>

Turn on debugging. It can be changed with an internal command as well.

=item B<-y>

Turn on QLI_trace.

=item B<-z>

Prints out the version number before other actions.

=back

=head1 SEE ALSO

L<gbak(1)>, L<gdef(1)>, L<gfix(1)>, L<gpre(1)>, L<gsec(1)>, L<fbstat(1)>,
L<isql-fb(1)>.

Additional documentation about B<qli> and other Firebird tools can be found on
the Firebird Project website, L<http://www.firebirdsql.org/>.

=head1 AUTHOR

This manpage was written by Remco Seesink E<lt>raseesink@hotpop.comE<gt> for
Debian GNU/Linux but may be used by others.

This document is public domain. See
L<http://lists.alioth.debian.org/pipermail/pkg-firebird-general/2007-January/000820.html>.
